Subject: Re: [PATCH iproute2] iproute2: add vxlan dstport option

From: Sridhar Samudrala <[email-masked]>
Date: Fri, 10 May 2013 15:12:16 -0700

On 4/27/2013 2:47 PM, Stephen Hemminger wrote:
> Add ability to set UDP destination port on a per device basis.
> If no port is assigned, the default IANA assigned port will be used.
> If you want the kernel default value, then use port 0.
>
> Source port range option is now called 'srcport', to avoid
> confusion. The old option syntax is accepted for compatiablity.
>
> Signed-off-by: Stephen Hemminger <[email-masked]>

I updated iproute2 to the upstream git tree and i noticed that vxlan
connectivity is lost in my setup as this patch is causing vxlan packets 
to be
sent to the new IANA port 4789, but the kernel default is 8472 and the
receiver is listening on that port.

If we are going to keep 8472 as the kernel default for listening port, i 
think iproute2
also should keep the same default for dst_port.

Thanks
Sridhar